aWhere Manual
DevelopAPIcore-services

Apps

The Apps a site has installed, and the catalogue of the ones it can install.

List the installed Apps

GET
/api/admin/apps

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Response Body

The answer.

application/json
  1. response
total?integer
data?array<unknown>
curl -X GET "https://platform.example.com/api/admin/apps" \  -H "Authorization: Bearer $TOKEN"
{  "total": 0,  "data": [    null  ]}

Install an App

PUT
/api/admin/apps

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Request Body

application/json
  1. body
id*string

The id of the App, as GET /api/admin/apps/catalogue lists it.

url?string

Where the App is served, when it is not at its usual path.

Response Body

The answer.

response?stringapplication/json

The id.

curl -X PUT "https://platform.example.com/api/admin/apps" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "id": "string"}'
"string"
GET
/api/admin/apps/catalogue

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Response Body

The answer.

application/json
  1. response
total?integer
data?array<unknown>
curl -X GET "https://platform.example.com/api/admin/apps/catalogue" \  -H "Authorization: Bearer $TOKEN"
{  "total": 0,  "data": [    null  ]}
POST
/api/admin/apps/preview

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Request Body

application/json
  1. body
id*string

The id of the App.

url?string

Where the App is served.

Response Body

The answer.

application/json
  1. response
manifest?unknown
url?unknown
clientId?unknown
reachable?unknown
warnings?unknown
curl -X POST "https://platform.example.com/api/admin/apps/preview" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "id": "string"}'
{  "manifest": null,  "url": null,  "clientId": null,  "reachable": null,  "warnings": null}

Read an installed App

GET
/api/admin/apps/{id}

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the App.

Response Body

The answer.

curl -X GET "https://platform.example.com/api/admin/apps/$ID" \  -H "Authorization: Bearer $TOKEN"
Empty

Uninstall an App

DELETE
/api/admin/apps/{id}

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the App.

Response Body

The answer.

response?stringapplication/json

The id.

curl -X DELETE "https://platform.example.com/api/admin/apps/$ID" \  -H "Authorization: Bearer $TOKEN"
"string"

Change an installed App

PUT
/api/admin/apps/{id}

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the App.

Request Body

application/json
  1. body
url?unknown
order?unknown

Response Body

The answer.

curl -X PUT "https://platform.example.com/api/admin/apps/$ID" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "url": "...",  "order": "..."}'
Empty